Skip to content

抖音星图 API - 项目报告分析 (V1)

prod-global
GET
/api/douyin-xingtu/gw/api/data_sp/item_report_th_analysis/v1

获取商品报告的分析洞察。

请求参数

参数名位置类型必填说明
tokenquerystring用户鉴权令牌。
itemIdquerystring项目的唯一 ID。

代码示例

💡 环境说明

默认示例使用 https://api.justoneapi.com (prod-global)。中国大陆地区建议替换为 http://47.117.133.51:30015 (prod-cn) 以获得更好的访问体验。详见 环境选择

bash
# 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
curl -X GET "https://api.justoneapi.com/api/douyin-xingtu/gw/api/data_sp/item_report_th_analysis/v1?token=YOUR_API_KEY&itemId=VALUE"
text
我想使用 Just One API 提供的“项目报告分析 (V1)”接口。
接口地址: https://api.justoneapi.com/api/douyin-xingtu/gw/api/data_sp/item_report_th_analysis/v1
HTTP 方法: GET
身份验证: 在 URL 后添加查询参数“?token=您的API密钥”。
OpenAPI 定义: https://docs.justoneapi.com/openapi/douyin-xingtu-apis/item-report-analysis-v1-zh.json

请求参数说明:
- token (query): 用户鉴权令牌。 (必填)
- itemId (query): 项目的唯一 ID。 (必填)

返回格式: JSON

响应处理与错误码:
1. 需通过返回体中的 "code" 字段判断业务结果(code 为 0 表示成功)。
2. 超时建议:建议将请求超时时间设置为至少 60 秒。
3. 业务码说明:
   - 0: 成功
   - 100: Token 无效或已失效
   - 301: 采集失败,请重试
   - 302: 超出速率限制
   - 303: 超出每日配额
   - 400: 参数错误
   - 500: 内部服务器错误
   - 600: 权限不足
   - 601: 余额不足

请帮我用我擅长的编程语言写一个脚本来调用这个接口,并处理返回结果。
python
# 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
import requests

url = "https://api.justoneapi.com/api/douyin-xingtu/gw/api/data_sp/item_report_th_analysis/v1?token=YOUR_API_KEY&itemId=VALUE"
response = requests.get(url)
print(response.json())
js
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
const response = await fetch("https://api.justoneapi.com/api/douyin-xingtu/gw/api/data_sp/item_report_th_analysis/v1?token=YOUR_API_KEY&itemId=VALUE", {
  method: "GET"
});
const data = await response.json();
console.log(data);
java
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class Main {
    public static void main(String[] args) throws Exception {
        HttpClient client = HttpClient.newHttpClient();
        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create("https://api.justoneapi.com/api/douyin-xingtu/gw/api/data_sp/item_report_th_analysis/v1?token=YOUR_API_KEY&itemId=VALUE"))
            .method("GET", HttpRequest.BodyPublishers.noBody())
            .build();

        HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
        System.out.println(response.body());
    }
}
go
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	client := &http.Client{}
	url := "https://api.justoneapi.com/api/douyin-xingtu/gw/api/data_sp/item_report_th_analysis/v1?token=YOUR_API_KEY&itemId=VALUE"
	req, _ := http.NewRequest("GET", url, nil)
	resp, _ := client.Do(req)
	defer resp.Body.Close()
	body, _ := io.ReadAll(resp.Body)
	fmt.Println(string(body))
}
php
// 提示: 中国大陆地区建议将 https://api.justoneapi.com 替换为 http://47.117.133.51:30015
<?php
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.justoneapi.com/api/douyin-xingtu/gw/api/data_sp/item_report_th_analysis/v1?token=YOUR_API_KEY&itemId=VALUE");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
$response = curl_exec($ch);
curl_close($ch);
echo $response;

响应结果

json
{
  "code": 0,
  "data": {
    "base_resp": {
      "status_code": 0,
      "status_message": ""
    },
    "like_info": {
      "0": "29968",
      "2": "20053",
      "4": "7455",
      "6": "8110",
      "8": "3250",
      "10": "3453",
      "12": "2580",
      "14": "1578",
      "16": "1220",
      "18": "972",
      "20": "1036",
      "22": "1191",
      "24": "1006",
      "26": "809",
      "28": "821",
      "30": "809",
      "32": "859",
      "34": "642",
      "36": "498",
      "38": "520",
      "40": "660",
      "42": "830",
      "44": "1072",
      "46": "641",
      "48": "528",
      "50": "487",
      "52": "456",
      "54": "435",
      "56": "670",
      "58": "512",
      "60": "418",
      "62": "339",
      "64": "347",
      "66": "624",
      "68": "447",
      "70": "395",
      "72": "295",
      "74": "881",
      "76": "664",
      "78": "531",
      "80": "393",
      "82": "275",
      "84": "342",
      "86": "752",
      "88": "603",
      "90": "399",
      "92": "309",
      "94": "308",
      "96": "418",
      "98": "429",
      "100": "513",
      "102": "784",
      "104": "566",
      "106": "278",
      "108": "200",
      "110": "192",
      "112": "179",
      "114": "172",
      "116": "191",
      "118": "191",
      "120": "185",
      "122": "459",
      "124": "489",
      "126": "249",
      "128": "174",
      "130": "194",
      "132": "180",
      "134": "136",
      "136": "120",
      "138": "105",
      "140": "135",
      "142": "117",
      "144": "107",
      "146": "119",
      "148": "120",
      "150": "98",
      "152": "127",
      "154": "97",
      "156": "135",
      "158": "189",
      "160": "210",
      "162": "136",
      "164": "0"
    },
    "play_lose_info": {
      "0": "21277239",
      "2": "9811213",
      "4": "4715452",
      "6": "3916977",
      "8": "1360912",
      "10": "2833248",
      "12": "1425211",
      "14": "712355",
      "16": "509674",
      "18": "228671",
      "20": "332098",
      "22": "230661",
      "24": "204521",
      "26": "142724",
      "28": "148160",
      "30": "115265",
      "32": "105504",
      "34": "81436",
      "36": "70882",
      "38": "65380",
      "40": "70877",
      "42": "218223",
      "44": "193926",
      "46": "94991",
      "48": "77665",
      "50": "76934",
      "52": "55640",
      "54": "60553",
      "56": "146180",
      "58": "87650",
      "60": "53222",
      "62": "32273",
      "64": "31509",
      "66": "29433",
      "68": "60719",
      "70": "53693",
      "72": "33509",
      "74": "50492",
      "76": "46234",
      "78": "54276",
      "80": "33016",
      "82": "28345",
      "84": "32236",
      "86": "51185",
      "88": "38963",
      "90": "33873",
      "92": "32999",
      "94": "24835",
      "96": "40952",
      "98": "28720",
      "100": "38278",
      "102": "35023",
      "104": "39657",
      "106": "29716",
      "108": "19563",
      "110": "21032",
      "112": "19806",
      "114": "21434",
      "116": "29012",
      "118": "24577",
      "120": "18270",
      "122": "25311",
      "124": "16929",
      "126": "13839",
      "128": "19726",
      "130": "22952",
      "132": "15647",
      "134": "12581",
      "136": "11052",
      "138": "8524",
      "140": "10698",
      "142": "9295",
      "144": "9781",
      "146": "11085",
      "148": "11901",
      "150": "9809",
      "152": "10687",
      "154": "13609",
      "156": "15336",
      "158": "18635",
      "160": "16393",
      "162": "12044",
      "164": "565877"
    }
  }
}

💡 提示:为简化展示,列表类数据样例仅保留 1-2 条记录,实际返回条数以接口响应为准。